/*
	Trabalho de Conclusão de Curso de Sistemas de Informação
	Aluno: Magno de Oliveira Severino RGM 27687
	Orientador: Andre Chastel de Lima
	server.js lado servidor

*/

//Importando modulo express
const express = require('express');
const app = express();
//criando servidor
const server = require('http').Server(app);
//importando o socket.io pacote
const io = require('socket.io')(server);
const Gpio = require('onoff').Gpio;
const rpio = require('rpio'); //uso do rpio
const LED = 12;//pino usado no raspberry
//mapeando o caminho da pasta com os arquivos html, css e js
app.use(express.static('public'))
  
// chamando o index da pagina
app.get("/" , (req,res)=>{
    res.render("index");
});
  
// função socket
io.on("connection" , (socket)=>{
    socket.on("checkedTrue" , ()=>{//se o checkbox estiver checado
        socket.emit("on")//emite on para ligar
        rpio.open(LED, rpio.OUTPUT, rpio.LOW); //aciona o modulo rele e liga a tomada
        
    })
    socket.on("checkedFalse", ()=>{
    	socket.emit('off')  //emite off para desligar      
    	rpio.open(LED, rpio.INPUT, rpio.LOW); //desliga o modulo rele e desliga a tomada
        
    })
})

  
// Executando na porta 8090
server.listen(8090 , ()=>{
    console.log("servidor em execucao porta 8090");
})
